repo/gentoo:master commit in: dev-python/rq/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786944277.19ddbafec152aadee627d18083e5e58e30622ab4.mgorny@gentoo> |
commit: 19ddbafec152aadee627d18083e5e58e30622ab4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 04:42:54 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 05:24:37 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19ddbafe
dev-python/rq: Bump to 2.11.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/rq/Manifest | 1 +
dev-python/rq/rq-2.11.0.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 79 insertions(+)
diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 61ae070b9811..9ca2a461628f 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1,3 @@
DIST rq-2.10.0.tar.gz 754610 BLAKE2B bffba43928470371b05b511216b60bdb089d11b6772910c6b31678422c5b47a6e873432609ee5653de85d6b561dd4917266fa27d6957ddcc8158bfcc1b7e2322 SHA512 f6c578e19f3f7dd85b4210c46486b915a45bd694b51d1da43e50fd7216ce64597dd0d610e98702c5c749aee552dafb2e8776c5367692793e1eb16077f5f8b765
+DIST rq-2.11.0.tar.gz 759304 BLAKE2B 604ff9b8fc25d1b96392ccc6261304efb81063dffa7e7aadbe26710063810bd7a2f53462c6dd8ccb4cc6563127a3c5a2b54215854dd968e070ba4ace5c1d6c1f SHA512 3c53e0667362c08a9971d3303d152f997afe5b5490d2962bea2d1333e400caa5082bdb025c1b8bc2a5888f08a1c48ee90bfe6a08383db017a211ed38d161d44c
DIST rq-2.9.1.tar.gz 745898 BLAKE2B d510294b139eed76aeefbe6c23c70f9099e280ddd139137c83c4132b536b9ae3eb1da6aa66f30c4e4c856c2d887e6247047bcb3d4f7ca65ad87ce7d38c05a7e1 SHA512 4e8decc89d93c715cd33eec464d1df1370ecc0d366b9e0de950500701ddcffcd26476965d7de68396a09ec7a18fbeefd1f4cb94f281a6b25b48ebe046d087c85
diff --git a/dev-python/rq/rq-2.11.0.ebuild b/dev-python/rq/rq-2.11.0.ebuild
new file mode 100644
index 000000000000..a81236d7749c
--- /dev/null
+++ b/dev-python/rq/rq-2.11.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple, lightweight library for creating and processing background jobs"
+HOMEPAGE="
+ https://python-rq.org/
+ https://github.com/rq/rq/
+ https://pypi.org/project/rq/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/click-5.0[${PYTHON_USEDEP}]
+ dev-python/croniter[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires <sentry-sdk-2
+ tests/test_sentry.py::TestSentry::test_failure_capture
+ # hang
+ tests/test_commands.py::TestCommands::test_shutdown_command
+ tests/test_worker_pool.py::TestWorkerPool::test_check_workers
+ tests/test_worker_pool.py::TestWorkerPool::test_reap_workers
+ tests/test_dependencies.py::TestDependencies
+ # already present in older versions
+ tests/test_spawn_worker.py::TestWorker::test_work_and_quit
+)
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip pin
+ sed -i -e '/dependencies/s:,!=[0-9.]*::' pyproject.toml || die
+}
+
+src_test() {
+ local -x TZ=UTC
+
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+ local redis_test_config="daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ "
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+ # Run the actual tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}